Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
2006.1: no altivec?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
guero61
l33t
l33t


Joined: 14 Oct 2002
Posts: 811
Location: Behind you

PostPosted: Tue Apr 10, 2007 2:48 pm    Post subject: 2006.1: no altivec? Reply with quote

I'm working on setting up a cluster of JS20 blades and having a few chicken+egg issues on altivec instructions.

The head node of the cluster is a JS21, and I had to forego building anything that utilized altivec (gcc, glibc, etc.) until I rebooted on my own kernel that had CONFIG_ALTIVEC enabled. Otherwise, I ran into "illegal instruction" issues and couldn't complete much of anything. Now that that machine is done, I've set it up as a BINHOST and am attempting to clone rest of the systems off of it. The problem is, I get so far into 'emerge -evDG' world, and then start getting the illegal instructions again, because the ibmppc-hvc0 boot image shipped on the ppc64-universal CD doesn't have CONFIG_ALTIVEC enabled. I _could_ manually build each system, or go through and build non-altivec binaries, but those each have their own pitfalls and nightmares involved, not to mention time investments. Going non-altivec, although the easiest path out using pure Gentoo tools, isn't an option, because stuff that will be running later will need it.

Any bright ideas? I've just booted one from the rescue image for SLES-10, which seems to have altivec enabled. That will suffice as a LiveCD (i.e. Knoppix-style installation), but is there any specific reason CONFIG_ALTIVEC was cut out of the install-ppc64-universal-2006.1 CD? Are there any 64-bit PPC implementations without an altivec unit that would fail with it enabled?
Back to top
View user's profile Send private message
corsair
Retired Dev
Retired Dev


Joined: 06 Oct 2003
Posts: 451
Location: Aachen, Germany

PostPosted: Wed Apr 11, 2007 7:10 am    Post subject: Re: 2006.1: no altivec? Reply with quote

guero61 wrote:
Are there any 64-bit PPC implementations without an altivec unit that would fail with it enabled?


yes, there are. Most IBM machines come with POWER CPUs. And those do *not* support Altivec up to the Power5+. (The Power6 does, but it's not released yet). I guess that's the reason why ibmppc-hvc0 comes with CONFIG_ALTIVEC disabled.

Please join us at #gentoo-ppc64 at freenode and talk to ranger or tgall. They know more about that stuff than I do, as they build/have built the CDs.

regards,

-corsair
Back to top
View user's profile Send private message
guero61
l33t
l33t


Joined: 14 Oct 2002
Posts: 811
Location: Behind you

PostPosted: Wed Apr 11, 2007 8:39 pm    Post subject: Reply with quote

Unfortunately, I haven't granted myself IRC; I'm mulling through the ways to deal with it and will post what I find. Suggestions still welcome.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum